<div class="mx-auto max-w-screen-lg pt-4">
  <app-heading
    className="text-center"
    [display]="HEADLINE"
    [level]="1"
    text="Welcome to Plasma!"
  ></app-heading>
  <app-paragraph>
    We are happy to see another gaming enthusiast here! Plasma is a
    feature-loaded gaming platform for players and developers alike! Choose your
    current path below (but of course your choice now does not mean you may not
    take another later).
  </app-paragraph>
  <section class="grid grid-cols-2 gap-4">
    <article
      *ngFor="let pathOption of PATH_OPTIONS"
      class="bg-gray-800 px-4 py-2 rounded-lg transition-colors"
    >
      <a [routerLink]="pathOption.destination">
        <app-heading
          className="active:!text-gray-400 before:absolute before:bg-gray-800 before:content-[''] before:block before:h-full before:hover:opacity-100 before:inset-0 before:opacity-0 before:transition-opacity before:w-full before:-z-10 bg-gradient-to-b from-gray-900 from-15% p-4 relative rounded-lg select-none text-center to-90% to-gray-800 z-10"
          [display]="TITLE"
          [level]="2"
          [text]="pathOption.title"
        ></app-heading>
      </a>
      <app-paragraph>{{ pathOption.description }}</app-paragraph>
    </article>
  </section>
</div>
